(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('ngx-loading-buttons', ['exports', '@angular/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global["ngx-loading-buttons"] = {}, global.ng.core));
})(this, (function (exports, core) { 'use strict';

    var MatBasicSpinnerDirective = /** @class */ (function () {
        function MatBasicSpinnerDirective() {
            this.mtBasicSpinner = false;
            this.hideText = false;
        }
        Object.defineProperty(MatBasicSpinnerDirective.prototype, "elementClass", {
            get: function () {
                if (this.mtBasicSpinner && this.hideText) {
                    return 'mat-spinner hide-btn-text';
                }
                else if (this.mtBasicSpinner) {
                    return 'mat-spinner';
                }
                return '';
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(MatBasicSpinnerDirective.prototype, "disabled", {
            get: function () {
                return this.mtBasicSpinner;
            },
            enumerable: false,
            configurable: true
        });
        return MatBasicSpinnerDirective;
    }());
    MatBasicSpinnerDirective.decorators = [
        { type: core.Directive, args: [{
                    selector: '[mtBasicSpinner]'
                },] }
    ];
    MatBasicSpinnerDirective.propDecorators = {
        mtBasicSpinner: [{ type: core.Input }],
        hideText: [{ type: core.Input }],
        elementClass: [{ type: core.Input, args: ["class",] }, { type: core.HostBinding, args: ['class',] }],
        disabled: [{ type: core.HostBinding, args: ['disabled',] }]
    };

    var NgxLoadingButtonsModule = /** @class */ (function () {
        function NgxLoadingButtonsModule() {
        }
        return NgxLoadingButtonsModule;
    }());
    NgxLoadingButtonsModule.decorators = [
        { type: core.NgModule, args: [{
                    declarations: [
                        MatBasicSpinnerDirective
                    ],
                    exports: [
                        MatBasicSpinnerDirective
                    ]
                },] }
    ];

    /*
     * Public API Surface of ngx-loading-buttons
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.MatBasicSpinnerDirective = MatBasicSpinnerDirective;
    exports.NgxLoadingButtonsModule = NgxLoadingButtonsModule;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=ngx-loading-buttons.umd.js.map
